<!DOCTYPE html>
<html>
<head>
    <meta charset="UTF-8">
    <title>用户中心</title>
</head>
<body>
    <style>
        .v-align {
        margin: 0 auto;
        width: 200px;
        height: 80px;
        text-align: center;
        line-height: 80px;
        border: 1px solid #ddd;
    }
    </style>
<div class=“v-align”>
 用户名 <span id="Name"></span></div>
<br/>
<div>昵称 <span id="Nickname"></span></div>
<br/>
<div>
    头像 <span id="Avatar"></span>
    <div>
        <img id="picture" style="height: 120px"/>
    </div>
</div>
<div>
    <br/>
    <br/>
    <br/>
    <br/>
    <div>行不更名，坐不改姓</div>
    <div>nickname: 
        <input id="nickname_input" type="text" name="Nickname">
    </div>
    <br/>
    <br/>
    <form id="uploadPic" enctype='multipart/form-data'>
        <div>
            <div>头可断，血可流，头像不能换!</div>
            <input id="picture_input" type="file" accept="image/*" name="Avatar" title=" ">
            
        </div>
    </form>
    
    <div>
        <br/>
        <br/>
        <div>少侠，请三思!</div>
        <button id="update">提交更新</button>
        <span id="update_msg"></span>
    </div>
        <br/>
    <div>
        <div>你轻轻的，挥一挥衣袖，不带走一片云彩</div>
        <button id="logout">退出登录</button>
        <span id="logout_msg"></span>
    </div>
</div>
<script type="text/javascript" src="http://code.jquery.com/jquery-1.7.1.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-weui/1.2.1/js/jquery-weui.js"></script>
<script>
    var str = sessionStorage.obj;
    console.log(str)
    var obj = $.parseJSON(str);
    console.log(obj)
    var code = obj.data.Code
    console.log(code)
    if(code.length > 0){
        LoadDataToPage()
    }
    function LoadDataToPage() {
        $.get("/query", {"code":code}, function (resp) {
                info = resp
                console.log(info)
                console.log(info.data)
                console.log(info.data.Name)
                if(info.err_code === 0) {
                    var Name = info.data.Name
                    console.log(Name)
                    var Nickname = info.data.Nickname
                    var AvatarURL = info.data.Avatar
                    console.log(AvatarURL)
                    $("#Name").text(Name)
                    if(Nickname.length > 0) {
                        $("#Nickname").text(Nickname)
                    }else{
                        $("#Nickname").text("无昵称")
                    }
                    if(AvatarURL.length > 0) {
                        var Avatar = "/userapi/static/avatar/" + AvatarURL
                        //var Avatar = AvatarURL
                        console.log(Avatar)
                        $("#picture").attr("src", Avatar)

                    } else {
                        $("#Avatar").text("无头像")
                    }
                }else{
                    $.toptip('尚未登陆', 800, 'error');
                    window.setTimeout(function() {
                        window.location.href="/";
                    }, 1000)
                }
            //}
        })
    }

    $("#picture_input").on("change",function(){
        var uploadPic = $("#uploadPic")[0]
        console.log(uploadPic)
        var formData = new FormData($("#uploadPic")[0]);
        //formdata.append(uploadPic)
        console.log(formData)
        $.ajax({
                url: "/upload",
                type: 'PUT',
                cache: false,
                data: formData,
                processData: false,
                contentType: false,
                dataType: "json",
                success : function(data) {
                    if (data.err_code == 0) {
                        $("#picture").attr("src", "/httpapi/static/avatar/"+data.data);
                    } else {
                    }
                }
           });
    });

        
    $("#update").click(function () {
        //console.log(id)
        var nickname = $("#nickname_input").val()
        console.log(nickname)
        var picture = $("#picture_input")[0].files[0]
        console.log(picture)
        var hasData = false
        var form = new FormData()
        if(nickname.length > 0) {
            form.append("Nickname", nickname)
            hasData = true
        }
        if(picture) {
            form.append("Avatar", picture.name)
            hasData = true
        }
        if(!hasData || code.length === 0) 
            return
            
        //form.append("Code", code)
        console.log(form)
        $.ajax({
            url: "/update",
            type: "post",
            processData: false,
            contentType: false,
            data: form,
            complete: function (resp) {
                console.log(resp)
                if(resp.status === 200) {
                    var info = JSON.parse(resp.responseText)
                    if(info.err_code === 0 && info.data.ErrorCode == 0) {
                        location.reload()
                    } else {
                    $("#update_msg").text(info.err_msg)
                    }
                }
            }
        })
    })

    $("#logout").click(function () {
        var data = obj
        console.log("登出")
        console.log(data)
        $.ajax({
            type: "DELETE",
            dataType: "json",
            url: "/logout",
            data: data,
            success: function () {
                console.log(data)
                if(data.err_code === 0)
                {
                    console.log(data)
                    $.toptip('退出成功', 800, 'success');
                    window.setTimeout(function() {
                        window.location.href="/";
                    }, 2000)
                } else {
                    $.toptip(data.err_msg, 'error');
                }
            },
            error: function() {
                $.toptip("网络异常", 'error');
            }
        })
    })


</script>
</body>
</html>